Package org.gradle.jvm.toolchain

## Interface JavaToolchainRepository

- All Superinterfaces:
    `AuthenticationSupported`

      @Incubating
      public interface JavaToolchainRepository
      extends AuthenticationSupported

  Named configuration of `JavaToolchainResolver` implementations, identified by their implementation class.

  The implementation class is the only mandatory property (it identifies the `JavaToolchainResolver` being configured; the name is arbitrary, chosen by the build author).

  Authentication related configuration is optional.

  Since:
    7.6

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `getName()` | Name of the configuration, set by the build author, can be anything, as long as it doesn't conflict with other repository names.
    `Property<java.lang.Class<? extends JavaToolchainResolver>>` | `getResolverClass()` | Class implementing the `JavaToolchainResolver` being configured.

    - ### Methods inherited from interface org.gradle.api.artifacts.repositories.AuthenticationSupported

      `authentication, credentials, credentials, credentials, getAuthentication, getCredentials, getCredentials`

- - ### Method Detail

    - #### getName

          java.lang.String getName()

      Name of the configuration, set by the build author, can be anything, as long as it doesn't conflict with other repository names.

    - #### getResolverClass

          Property<java.lang.Class<? extends JavaToolchainResolver>> getResolverClass()

      Class implementing the `JavaToolchainResolver` being configured. Mandatory property.